Package Base Details: python-dlib-cuda

Git Clone URL: https://aur.archlinux.org/python-dlib-cuda.git (read-only)
Keywords: dlib
Submitter: agradzki
Maintainer: AbysmalBiscuit
Last Packager: AbysmalBiscuit
Votes: 1
Popularity: 0.001208
First Submitted: 2017-11-17 14:12
Last Updated: 2019-03-13 08:08

Latest Comments

« First ‹ Previous 1 2

AbysmalBiscuit commented on 2018-04-30 12:43

@p00h cuda presence is tested for by cmake (in dlib/CMakeLists.txt from line 593 you can see the cuda tests), hence there is no need to explicitly invoke it. Also even if it is explicitly invoked, and cudnn isn't installed the package will still build fine, but without gpu support. However, avx and sse are not tested for by cmake (as far as I could find), which is why they are tested for by the PKGBUILD.

You are absolutely correct about cudnn being a missing essential dependency, thanks for pointing it out!

p00h commented on 2018-04-18 11:56

Unfortunately, the provided PKGBUILD is invalid: 1) It lacks of essential cudnn package in dependencies 2) It does not contain the essential --yes DLIB_USE_CUDA param.

If you tried to make a package, it would be compiled but without the CUDA support. Feel free to check it out: cmake configuration process will claim that.

So there is the working (fixed) PKBUILD, it was tested with face_recognition package and 100% works. https://pastebin.com/c4eyhzEZ

AbysmalBiscuit commented on 2018-03-16 10:19

agradzki,

I'll adopt the package and maintain it then. :)

agradzki commented on 2018-03-12 13:49

AbysmalBiscuit,

I have disowned this package as I do not have an Arch Linux system to test this on right now.

Thanks for posting the fixes!

AbysmalBiscuit commented on 2018-03-12 11:38

Hey,

TLDR: Fixed and improved PKGBUILD updated to the latest version (19.9) is available here: https://pastebin.com/NufcQpRj

There are other issues besides those pointed out by Karmadon.

First, the environment variables that indicate the compiler that CUDA needs are not set before building the Python3 version, hence the Python3 package has no CUDA support.

Second, there is no need to specify the CUDA include and library directories as they get auto detected.

Third, no SSE optimizations are set, as compared with the 'dlib' package also available in the AUR.

Fourth, compiling times for Python3 can be improved somewhat via the use of multiple proceses (although this isn't that much of an issue).

I have fixed and improved the PKGBUILD file, which can be downloaded from the pastebin link in the TLDR.

Karmadon commented on 2018-01-20 16:26

Hello!

I have to change variable "md5" to "md5sums" and add _pkgname=dlib in order to be able to compile it.